# org.apache.ignite.transactions

## Interfaces

- Transaction
- TransactionMetrics

## Enums

- TransactionConcurrency
- TransactionIsolation
- TransactionState

## Exceptions

- TransactionAlreadyCompletedException
- TransactionDeadlockException
- TransactionDuplicateKeyException
- TransactionException
- TransactionHeuristicException
- TransactionMixedModeException
- TransactionOptimisticException
- TransactionRollbackException
- TransactionSerializationException
- TransactionTimeoutException
- TransactionUnsupportedConcurrencyException